ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
pcm_meter.c File Reference

Helper functions for SND_PCM_TYPE_METER PCM scopes. More...

## Functions
int | snd_pcm_meter_add_scope (snd_pcm_t *pcm, snd_pcm_scope_t *scope)
| Add a scope to a SND_PCM_TYPE_METER PCM.
snd_pcm_scope_t * | snd_pcm_meter_search_scope (snd_pcm_t *pcm, const char *name)
| Search an installed scope inside a SND_PCM_TYPE_METER PCM.
snd_pcm_uframes_t | snd_pcm_meter_get_bufsize (snd_pcm_t *pcm)
| Get meter buffer size from a SND_PCM_TYPE_METER PCM.
unsigned int | snd_pcm_meter_get_channels (snd_pcm_t *pcm)
| Get meter channels from a SND_PCM_TYPE_METER PCM.
unsigned int | snd_pcm_meter_get_rate (snd_pcm_t *pcm)
| Get meter rate from a SND_PCM_TYPE_METER PCM.
snd_pcm_uframes_t | snd_pcm_meter_get_now (snd_pcm_t *pcm)
| Get meter "now" frame pointer from a SND_PCM_TYPE_METER PCM.
snd_pcm_uframes_t | snd_pcm_meter_get_boundary (snd_pcm_t *pcm)
| Get boundary for frame pointers from a SND_PCM_TYPE_METER PCM.
void | snd_pcm_scope_set_name (snd_pcm_scope_t *scope, const char *val)
| Set name of a SND_PCM_TYPE_METER PCM scope.
const char * | snd_pcm_scope_get_name (snd_pcm_scope_t *scope)
| Get name of a SND_PCM_TYPE_METER PCM scope.
void | snd_pcm_scope_set_ops (snd_pcm_scope_t *scope, const snd_pcm_scope_ops_t *val)
| Set callbacks for a SND_PCM_TYPE_METER PCM scope.
void * | snd_pcm_scope_get_callback_private (snd_pcm_scope_t *scope)
| Get callbacks private value for a SND_PCM_TYPE_METER PCM scope.
void | snd_pcm_scope_set_callback_private (snd_pcm_scope_t *scope, void *val)
| Get callbacks private value for a SND_PCM_TYPE_METER PCM scope.
int | snd_pcm_scope_s16_open (snd_pcm_t *pcm, const char *name, snd_pcm_scope_t **scopep)
| Add a s16 pseudo scope to a SND_PCM_TYPE_METER PCM.
int16_t * | snd_pcm_scope_s16_get_channel_buffer (snd_pcm_scope_t *scope, unsigned int channel)
| Get s16 pseudo scope frames buffer for a channel.
int | snd_pcm_scope_malloc (snd_pcm_scope_t **ptr)
| allocate an invalid snd_pcm_scope_t using standard malloc

## Detailed Description

Helper functions for SND_PCM_TYPE_METER PCM scopes.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org

Date
  2001

Helper functions for SND_PCM_TYPE_METER PCM scopes